JsDoc Reference - CAConnection

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class CAConnection

Class implementing a CA web service connector
Defined in: CAConnection.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CAConnection(url) Creates a web service connector to access an online CA

Method Summary
Method Attributes | Method Name and Description
--- | ---
| close() Close the connector and release allocated resources
| getLastRequest() Gets the last request
| getLastResponse() Gets the last response
| getLastReturnCode() Get the last return code
| requestCertificate(certreq, messageID, responseURL, eMailAddress, activationCode) Request a certificate from the CA using a web service

Class Detail
CAConnection(url)
Creates a web service connector to access an online CA

Parameters:
{String} url
  the web service endpoint

Method Detail
close()
Close the connector and release allocated resources

{XML} getLastRequest()
Gets the last request

Returns:
  the last request

{XML} getLastResponse()
Gets the last response

Returns:
  the last response

{String} getLastReturnCode()
Get the last return code

Returns:
  the last return code received or null if none defined

{ByteString[]} requestCertificate(certreq, messageID, responseURL, eMailAddress, activationCode)
Request a certificate from the CA using a web service

Parameters:
{ByteString} certreq
  the certificate request
{String} messageID
  the messageID for asynchronous requests (optional)
{String} responseURL
  the URL to which the asynchronous response is send (optional)
eMailAddress
activationCode

Returns:
  the new certificates

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)